Naar hoofdinhoud gaan
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
{dedicated_ip_id}
dedicated IP ophalen
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "asn": 123,
  "country_code": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "ip_addresses": [
    {
      "ip": "<string>",
      "fcrdns_confirmed": false,
      "healthy": true,
      "rdns": "<string>"
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Padparameters

account_id
string<uuid>
vereist
dedicated_ip_id
string<uuid>
vereist

Respons

id
string<uuid>
vereist

Speciale IP UUID

name
string
vereist

Voor de klant zichtbare speciale IP-naam

status
string
vereist

Inrichtings- of levenscyclusstatus

type
string
vereist

Speciaal toewijzingstype IP

asn
integer | null

Autonoom systeemnummer voor de toewijzing

country_code
string | null

ISO-landcode voor de toewijzing

created_at
string<date-time> | null

Tijdstempel van creatie

ip_addresses
PublicDedicatedIpAddressResponse · object[]

Openbare adressen in deze toewijzing

updated_at
string<date-time> | null

Tijdstempel laatste update